# 获取学生信息

## 修改记录


## 接口定义

    /v1/get_student_list
    GET

## Request

API请求参数

### Head

     X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{deviceSN}/{orgID}/{campID}
     X-Sign               {String}       rsa(timestamp_userId) 加密

### Form Parameters

 page              {int}    默认：1
 limit             {int}    默认：20

## Response


### Example


**Command**

    curl -X GET \
           -H "X-DeviceInformation: 11%2f22%2f96" \
           -H "X-Sign: mCNfxI/TgBt9K63KJ/cMcW2SgjJuQhmpiyUsSIVncfrI7XgukTBX8mqB5zZZ4Zmid2Elb0NbeUEmPanSMkWMENzLu0hbFQQhN9FaOsCNAK0wBmOgZ0PW0/jCqi7m4yC0wcxRlkbefob7nB76ri5j2wvB0Qi4Js8UPUl77eegs9A=" \
           http://localhost:8080/v1/get_student_list?limit=3&page=1

**Output**

    {
        "errno": 200,
        "msg": "success",
        "data": {
            "total": 100,
            "list":[
                   {
                       "studentId": 50687,
                       "studentName": "郑笑莹",
					   "idcard": "11001020020202",
                       "gender": 2,
                       "age": 0,
                       "isUseGlasses": 0,
                       "classId": 1439,
                       "leftEye": 4.3,
                       "rightEye": 4.4,
                   }
               ]
        }
    }